/*
 * Copyright 2013 greenbird Integration Technology
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.greenbird.test.matchers;

import org.hamcrest.Matcher;

public class GreenbirdMatchers {
    public static Matcher<Throwable> causedBy(Class<? extends Throwable> expectedWrapperType, Throwable expectedCause) {
        return new CausedByMatcher(expectedWrapperType, expectedCause);
    }

    public static Matcher<Throwable> causedBy(Class<? extends Throwable> expectedWrapperType, Class<? extends Throwable> expectedCauseType) {
        return new CausedByMatcher(expectedWrapperType, expectedCauseType);
    }

}
